### Method

# GdkX11 X11Displayset_surface_scale

#### Declaration [src]

    void
    gdk_x11_display_set_surface_scale (
      GdkDisplay* display,
      int scale
    )

#### Description [src]

Forces a specific window scale for all windows on this display, instead of using the default or user configured scale. This is can be used to disable scaling support by setting `scale` to 1, or to programmatically set the window scale.

Once the scale is set by this call it will not change in response to later user configuration changes.

#### Parameters

`scale`

  Type: `int`

  The new scale value.